---
title: HTMLVideoElement.videoWidth
slug: Web/API/HTMLVideoElement/videoWidth
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLVideoElement
  - Intrinsic Width
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - size
  - videoWidth
  - width
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The {{domxref("HTMLVideoElement")}} interface's read-only <code><strong>videoWidth</strong></code> property indicates the <strong>intrinsic width</strong> of the video, expressed in CSS pixels. In simple terms, this is the width of the media in its natural size.</span> See {{anch("About intrinsic width and height")}} for more details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>width</em> = <em>htmlVideoElement</em>.videoWidth;</pre>

<h3 id="Value">Value</h3>

<p>An integer value specifying the intrinsic width of the video in CSS pixels. If the element's {{domxref("HTMLMediaElement.readyState", "readyState")}} is <code>HTMLMediaElement.HAVE_NOTHING</code>, then the value of this property is 0, because neither video nor poster frame size information is yet available.</p>

<p>{{page("/en-US/docs/Web/API/HTMLVideoElement/videoHeight", "About intrinsic width and height", 0, 1)}}</p>

<p>{{page("/en-US/docs/Web/API/HTMLVideoElement/videoHeight", "Example", 0, 1)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-video-videowidth", "HTMLVideoElement.videoWidth")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "semantics-embedded-content.html#dom-htmlvideoelement-videowidth", "HTMLVideoElement.videoWidth")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLVideoElement.videoWidth")}}</p>
